<template>
   <div>
       <create-post></create-post>
       <ul class="list-unstyled">
           <li v-for="post in posts">
               <single-post :post="post"></single-post>
           </li>
       </ul>
   </div>
</template>

<script>
    import firebase from '../app'

    export default {
        data(){
            return {
                database:{},
                posts:[]
            }
        },
        methods:{
            listenForPosts(){
                this.database.ref('posts').on('value', (snapshot) =>{
                    this.posts = snapshot.val()
                })
            }
        },
        mounted() {
            this.database = firebase.database()
            this.listenForPosts()
        }
    }
</script>

<style scoped>

</style>